package esercizio1;

public class Tessuto {
	
	public enum TipoTessuto{COTONE, LANA, SETA};

	private static int totaleTessuti=0;
	private int codice;
	private TipoTessuto tipo;
	private String colore;
	private double costoAlMetro;
	private int codiceFornitore;
	
	public Tessuto(TipoTessuto tipo, String colore, double costo, int codiceF){
		totaleTessuti++;
		this.codice = totaleTessuti;
		this.tipo = tipo;
		this.colore = colore;
		this.costoAlMetro = costo;
		this.codiceFornitore = codiceF;
	}
	
	public Tessuto(){
		this(TipoTessuto.COTONE,"",0,0);
	}
	
	public int getCodice(){
		return codice;
	}
	
	public TipoTessuto getTipo(){
		return tipo;
	}
	
	public String getColore(){
		return colore;
	}
	
	public double getCostoAlMetro(){
		return costoAlMetro;
	}
	
	public int getCodiceFornitore(){
		return codiceFornitore;
	}
	
	public void setTipo(TipoTessuto tipo){
		this.tipo=tipo;
	}
	
	public void getColore(String colore){
		this.colore=colore;
	}
	
	public void setCostoAlMetro(double costo){
		this.costoAlMetro=costo;
	}
	
	public void setCodiceFornitore(int codiceF){
		this.codiceFornitore=codiceF;
	}

	public static int getTotaleTessuti(){
		return totaleTessuti;
	}

}
