package esercizio1;

import java.util.*;

import esercizio1.Tessuto.TipoTessuto;

public class Principale {
	
	public static void main(String[] args){
		
		GestioneTessuti g = new GestioneTessuti();
	
		Scanner tastiera = new Scanner(System.in);

		System.out.print("Quanti tessuti vuoi inserire?");
		int n;
		do{
			n = tastiera.nextInt();
			if(n < 0 || n > GestioneTessuti.MAX_TESSUTI)
				System.out.println("Errore: valore negativo o superiore al limite "+GestioneTessuti.MAX_TESSUTI);
		}while(n < 0 || n > GestioneTessuti.MAX_TESSUTI);
		
		for(int i=0; i<n; i++){
			// acquisizione dei dati del tessuto i-esimo
			System.out.print("Inserire il tipo di tessuto (COTONE, LANA, SETA): ");
			String tipo = tastiera.next().toUpperCase();
			TipoTessuto tipoTessuto = TipoTessuto.valueOf(tipo);
			
			System.out.print("Inserire il colore: ");
			tastiera.nextLine(); // per ripulire il buffer di input
			String colore = tastiera.nextLine(); // serve per inserire un colore composto da pi termini: ad es. "rosso porpora"
			
			System.out.print("Inserire il costo al metro: ");
			double costoAlMetro = tastiera.nextDouble();
			
			System.out.print("Inserire il codice del fornitore: ");
			int codiceF = tastiera.nextInt();
			
			// creazione del tessuto e inserimento nel vettore
			Tessuto tessuto = new Tessuto(tipoTessuto, colore, costoAlMetro, codiceF);
			g.inserisciTessuto(tessuto);
		} // for
		
		System.out.print("Inserire il tipo di tessuto da ricercare (COTONE, LANA, SETA): ");
		String tipo = tastiera.next().toUpperCase();
		TipoTessuto tipoTessuto = TipoTessuto.valueOf(tipo);
		
		int codiceFornitore = g.fornitorePrezzoPiuBasso(tipoTessuto);
		if (codiceFornitore != -1)
			System.out.println("Il codice del fornitore richiesto e': "+codiceFornitore);
		else
			System.out.println("Il codice del fornitore richiesto non e' presente");
		
		tastiera.close();

	}
}
